

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 Green
#property indicator_color2 Red
#property indicator_color3 Green
#property indicator_color4 CadetBlue

extern int IPeriod = 40;
extern bool soundAlerts = TRUE;
extern bool emailAlerts = FALSE;
double g_ibuf_88[];
double g_ibuf_92[];
double g_ibuf_96[];
double g_ibuf_100[];
double g_ibuf_104[];

int init() {
   IndicatorBuffers(5);
   SetIndexStyle(0, DRAW_LINE);
   SetIndexBuffer(0, g_ibuf_92);
   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(1, g_ibuf_96);
   SetIndexStyle(2, DRAW_LINE);
   SetIndexBuffer(2, g_ibuf_100);
   SetIndexStyle(3, DRAW_LINE);
   SetIndexBuffer(3, g_ibuf_104);
   SetIndexBuffer(4, g_ibuf_88);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   for (int li_0 = 0; li_0 < Bars; li_0++) g_ibuf_88[li_0] = iRSI(Symbol(), 0, IPeriod, PRICE_CLOSE, li_0) + iCCI(Symbol(), 0, IPeriod, PRICE_TYPICAL, li_0);
   for (li_0 = 0; li_0 < Bars; li_0++) g_ibuf_92[li_0] = iMAOnArray(g_ibuf_88, 0, 10, 0, MODE_SMA, li_0);
   for (li_0 = 0; li_0 < Bars; li_0++) g_ibuf_104[li_0] = iMAOnArray(g_ibuf_92, 0, 5, 0, MODE_SMA, li_0);
   for (li_0 = 0; li_0 < Bars; li_0++) {
      if (g_ibuf_92[li_0] > g_ibuf_104[li_0]) g_ibuf_100[li_0] = g_ibuf_92[li_0];
      else g_ibuf_96[li_0] = g_ibuf_92[li_0];
   }
   if (g_ibuf_100[1] != EMPTY_VALUE && g_ibuf_100[2] == EMPTY_VALUE && High[0] == Low[0] && High[0] == Close[0] && High[0] == Low[0]) {
      if (soundAlerts) Alert("Long trade in XForecaster, at " + Symbol() + "!");
      if (emailAlerts) SendMail("Long trade in XForecaster, at " + Symbol() + "!", "Long trade in XForecaster, at " + Symbol() + "!");
   }
   if (g_ibuf_96[1] != EMPTY_VALUE && g_ibuf_96[2] == EMPTY_VALUE && High[0] == Low[0] && High[0] == Close[0] && High[0] == Low[0]) {
      if (soundAlerts) Alert("Short trade in XForecaster, at " + Symbol() + "!");
      if (emailAlerts) SendMail("Short trade in XForecaster, at " + Symbol() + "!", "Short trade in XForecaster, at " + Symbol() + "!");
   }
   return (0);
}